SENSE_PLAY(1)

NAME
sense_play - Sense HAT emulator playback

Replays readings recorded from a Raspberry Pi Sense HAT, via the Sense HAT emulation library.

SYNOPSIS

sense_play [-h] [--version] [-q] [-v] [-l FILE] [-P] input

DESCRIPTION

-h, --help
    show this help message and exit

--version
    show this program's version number and exit

-q, --quiet
    produce less console output

-v, --verbose
    produce more console output

-l FILE, --log-file FILE
    log messages to the specified file

-P, --pdb
    run under PDB (debug mode)

EXAMPLES

To play back an experiment recorded from the Sense HAT, simply execute sense_play with the filename you wish to play back:

$ sense_play experiment.hat

Playback will start immediately and continue in real-time (at the recording rate) until the file is exhausted. If you wish to start an emulated script at the same time as playback, you can use the shell's job control facilities:

$ sense_play experiment.hat & python experiment.py

If - is specified as the input file, sense_play will read its from stdin. This can be used to play back compressed recordings (see Examples under sense_rec) without using any disk space for decompression:

$ gunzip -c experiment.hat.gz | sense_play -

NOTE: If playback is going too slowly (e.g. because the Pi is too busy with other tasks, or because the data cannot be read quickly enough from the SD card), sense_play will skip records and print a warning to the console at the end of playback with the number of records skipped.

AUTHOR
Raspberry Pi Foundation

COPYRIGHT
2018 Raspberry Pi Foundation